## org.hibernate.service.jndi.spi
Interface JndiService

All Superinterfaces:
  Serializable, Service

All Known Implementing Classes:
  JndiServiceImpl

    public interface JndiService

extends Service

Service providing simplified access to JNDI related features needed by Hibernate.

Method Summary
`void` `addListener(String jndiName, NamespaceChangeListener listener)` Adds the specified listener to the given JNDI namespace.
`void` `bind(String jndiName, Object value)` Binds a value into JNDI by name.
`Object` `locate(String jndiName)` Locate an object in JNDI by name
`void` `unbind(String jndiName)` Unbind a value from JNDI by name.

Method Detail

### locate

    Object locate(String jndiName)

  Locate an object in JNDI by name

  Parameters:
    `jndiName` - The JNDI name of the object to locate
  Returns:
    The object found (may be null).

### bind

    void bind(String jndiName,
              Object value)

  Binds a value into JNDI by name.

  Parameters:
    `jndiName` - The name under which to bind the object
    `value` - The value to bind

### unbind

    void unbind(String jndiName)

  Unbind a value from JNDI by name.

  Parameters:
    `jndiName` - The name under which the object is bound

### addListener

    void addListener(String jndiName,
                     NamespaceChangeListener listener)

  Adds the specified listener to the given JNDI namespace.

  Parameters:
    `jndiName` - The JNDI namespace
    `listener` - The listener

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.